#loading-screen {
    position: fixed;
    inset: 0;

    background: #000;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    z-index: 9999;

    transition: opacity .5s ease;
}

#loading-screen.hidden {
    opacity: 0;
    pointer-events: none;
}

#loading-screen img {
    width: 250px;
    image-rendering: auto;
}

#loading-screen p {
    color: white;
    font-size: 24px;
    font-weight: bold;

    text-shadow: 0 2px 6px rgba(0, 0, 0, 0.5);
}